Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-1687

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2008-1687
Last Modified 07 Mar 2011 10:07:28
Published 09 Apr 2008 03:05:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-1687

Summary

The (1) maketemp and (2) mkstemp builtin functions in GNU m4 before 1.4.11 do not quote their output when a file is created, which might allow context-dependent attackers to trigger a macro expansion, leading to unspecified use of an incorrect filename.

Vulnerable Systems

Application

  • Gnu M4 1.4.10


References

SECUNIA - 29729

XF - gnu-m4-macros-weak-security(41706)

VUPEN - ADV-2008-1151

MLIST - [oss-security] 20080407 Re: Security fixes in m4-1.4.11

MLIST - [oss-security] 20080406 Re: Security fixes in m4-1.4.11

MLIST - [oss-security] 20080406 Security fixes in m4-1.4.11

SLACKWARE - SSA:2008-098-01

SECUNIA - 29671

BID - 28688


Last Updated: 27 May 2016 10:47:37